gi-pango-1.0.30: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrFontDesc

Contents

- Exported types
- Methods
  - new
- Properties
  - attr
  - desc

Description

The `PangoAttrFontDesc` structure is used to store an attribute that sets all aspects of the font description at once.

Synopsis

- newtype AttrFontDesc = AttrFontDesc (ManagedPtr AttrFontDesc)
- newZeroAttrFontDesc :: MonadIO m => m AttrFontDesc
- attrFontDescNew :: (HasCallStack, MonadIO m) => FontDescription -> m Attribute
- getAttrFontDescAttr :: MonadIO m => AttrFontDesc -> m Attribute
- clearAttrFontDescDesc :: MonadIO m => AttrFontDesc -> m ()
- getAttrFontDescDesc :: MonadIO m => AttrFontDesc -> m (Maybe FontDescription)
- setAttrFontDescDesc :: MonadIO m => AttrFontDesc -> Ptr FontDescription -> m ()

# Exported types

newtype AttrFontDesc Source #

Memory-managed wrapper type.

Constructors

AttrFontDesc (ManagedPtr AttrFontDesc) |

#### Instances

Instances details

Eq AttrFontDesc Source # |
Instance details Defined in GI.Pango.Structs.AttrFontDesc Methods (==) :: AttrFontDesc -> AttrFontDesc -> Bool Source # (/=) :: AttrFontDesc -> AttrFontDesc -> Bool Source #
BoxedPtr AttrFontDesc Source # |
Instance details Defined in GI.Pango.Structs.AttrFontDesc Methods boxedPtrCopy :: AttrFontDesc -> IO AttrFontDesc Source # boxedPtrFree :: AttrFontDesc -> IO () Source #
CallocPtr AttrFontDesc Source # |
Instance details Defined in GI.Pango.Structs.AttrFontDesc Methods boxedPtrCalloc :: IO (Ptr AttrFontDesc) Source #
ManagedPtrNewtype AttrFontDesc Source # |
Instance details Defined in GI.Pango.Structs.AttrFontDesc Methods toManagedPtr :: AttrFontDesc -> ManagedPtr AttrFontDesc Source #
tag ~ 'AttrSet => Constructible AttrFontDesc tag Source # |
Instance details Defined in GI.Pango.Structs.AttrFontDesc Methods new :: MonadIO m => (ManagedPtr AttrFontDesc -> AttrFontDesc) -> [AttrOp AttrFontDesc tag] -> m AttrFontDesc Source #

newZeroAttrFontDesc :: MonadIO m => m AttrFontDesc Source #

Construct a `AttrFontDesc` struct initialized to zero.

# Methods

## new

attrFontDescNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> FontDescription | `desc`: the font description
-> m Attribute | Returns: the newly allocated `PangoAttribute`, which should be freed with `attributeDestroy`

Create a new font description attribute.

This attribute allows setting family, style, weight, variant, stretch, and size simultaneously.

# Properties

## attr

the common portion of the attribute

getAttrFontDescAttr :: MonadIO m => AttrFontDesc -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrFontDesc #attr

## desc

the font description which is the value of this attribute

clearAttrFontDescDesc :: MonadIO m => AttrFontDesc -> m () Source #

Set the value of the “`desc`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #desc

getAttrFontDescDesc :: MonadIO m => AttrFontDesc -> m (Maybe FontDescription) Source #

Get the value of the “`desc`” field. When overloading is enabled, this is equivalent to

    get attrFontDesc #desc

setAttrFontDescDesc :: MonadIO m => AttrFontDesc -> Ptr FontDescription -> m () Source #

Set the value of the “`desc`” field. When overloading is enabled, this is equivalent to

    set attrFontDesc [ #desc := value ]